KAS_STATISTICS(8)

NAME
kas_statistics - Displays statistics from an Authentication Server process

SYNOPSIS
kas statistics
    [-admin_username <admin principal to use for authentication>]
    [-password_for_admin <admin password>] [-cell <cell name>]
    [-servers <explicit list of authentication servers>+]
    [-noauth] [-help]

kas sta [-a <admin principal to use for authentication>]
    [-p <admin password>] [-c <cell name>]
    [-s <explicit list of authentication servers>+] [-n] [-h]

DESCRIPTION
The kas statistics command displays statistics from the Authentication Server running on one of the cell's database server machines. Use the -servers argument to name a specific machine, or the command interpreter chooses one at random from all the database server machines with which it has established connections.

CAUTIONS
The -servers argument is not available in interactive mode, making it impossible to specify a certain machine.

OPTIONS

-admin_username <admin principal>
    Specifies the user identity under which to authenticate with the Authentication Server for execution of the command. For more details, see kas(8).

-password_for_admin <admin password>
    Specifies the password of the command's issuer. If it is omitted (as recommended), the kas command interpreter prompts for it and does not echo it visibly. For more details, see kas(8).

-cell <cell name>
    Names the cell in which to run the command. For more details, see kas(8).

-servers <authentication servers>+
    Names each machine running an Authentication Server with which to establish a connection. For more details, see kas(8).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. For more details, see kas(8).

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
The information in the output includes:

•   The number of allocation and freeing operations the Authentication Server has performed, and how many password change requests it has processed.

•   An indication of its hash table use.

•   The server machine's IP address in hexadecimal and the date when the current instance of the Authentication Server started.

•   The number of requests and aborted requests for various services: authentication, ticket granting, password setting, entry listing, and so on.

•   The amount of CPU time that the Authentication Server has used to process requests since it started. The amount is not accurate on all system types, however.

•   The number of entries in the Authentication Database that are marked with the "ADMIN" flag.

EXAMPLES
In the following example, an administrator using the admin account gathers statistics from the Authentication Server running on the machine "fs1.abc.com".

   % kas statistics -servers fs1.abc.com
   56 allocs, 46 frees, 0 password changes
   Hash table utilization = 0.100000%
   From host bfff21a7 started at Tue Mar 23 12:42:02 1999:
     of 88 requests for Authenticate, 18 were aborted.
     of 14 requests for GetTicket, 0 were aborted.
     of 4 requests for CreateUser, 1 were aborted.
     of 12 requests for SetFields, 4 were aborted.
     of 3 requests for DeleteUser, 0 were aborted.
     of 23 requests for GetEntry, 4 were aborted.
     of 18 requests for ListEntry, 0 were aborted.
     of 2 requests for GetStats, 1 were aborted.
     of 2 requests for GetRandomKey, 0 were aborted.
   Used 6.015 seconds of CPU time.
   3 admin accounts

PRIVILEGE REQUIRED
The issuer must have the "ADMIN" flag set on his or her Authentication Database entry.

SEE ALSO
kas(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.